AOZ Studio Beta - Bug #343

Dual Priority causes Internal Error
04/15/2020 05:48 AM - Brian Flanagan

Status: Closed Start date: 04/15/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.8.1

Affected version: 0.9.8

Description

Example 1: Help_37 from AMOSPro_Examples.
Results in Magician error caused by Internal error on "Dual Priority 0,1"

Example 2: Here's a complete example extracted from above example.
It will fail in both Amiga and PC manifests with the same error except that in Amiga it will also cause a Magician error.

Screen Open 1,320,256,8,Lowres : Flash Off : Curs Off : Cls O
Palette 0,$2,54,$6,$8,%A,5C,$E,0,5$200, 5400, $600, $800, $A00, $C00, $SEOO
Screen Open 0,320,200,8,Lowres : Flash Off : Curs Off : Cls O
Palette 0,$200,$400,$600,$800,$A00,$C00,SE0O

Dual Playfield 0,1 : Wait Vbl
Dual Priority 0,1

History

#1 - 04/16/2020 03:52 AM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.8.1

Fixed!

#2 - 04/19/2020 09:30 PM - Brian Flanagan

- Status changed from Resolved to Closed

re-tested in 0.9.8.1 |t's fixed!
